%define module rx
%define srcname Rx

Name:           python-rx
Version:        3.2.0
Release:        %mkrel 2
Summary:        Library for composing asynchronous and event-based programs using observable collections and LINQ-style query operators in Python.
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://pypi.org/project/Rx/
Source:         %{srcname}-%{version}.tar.xz

%description
Reactive Extensions for Python (RxPY) is a set of libraries for composing asynchronous and event-based programs
using observable sequences and pipable query operators in Python. Using Rx, developers represent asynchronous data
streams with Observables, query asynchronous data streams using operators, and parameterize concurrency in data/event
streams using Schedulers.

%package -n python3-%{module}
Summary:        Library for composing asynchronous and event-based programs using observable collections and LINQ-style query operators in Python.
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Reactive Extensions for Python (RxPY) is a set of libraries for composing asynchronous and event-based programs
using observable sequences and pipable query operators in Python. Using Rx, developers represent asynchronous data
streams with Observables, query asynchronous data streams using operators, and parameterize concurrency in data/event
streams using Schedulers.

%prep
%setup -q -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%{python3_sitelib}/*

%changelog
* Fri Aug 12 2022 TerryN <terryn94 at gmail.com> 3.2.0-1pclos2022
- update and rebuild python 3.10

* Sun Oct 13 2019 tex - 1.6.1-2pclos2019
- rebuild against updates

* Fri May 17 2019 pckg <pckg at email.cz> 1.6.1-1pclos2019
- Initial package
